package com.bcxin.tenant.domain.v5.eventHandlers;

import com.bcxin.Infrastructures.enums.CredentialType;
import com.bcxin.Infrastructures.enums.UserCheckedStatus;
import com.bcxin.Infrastructures.events.handlers.DomainEventHandlerAbstract;
import com.bcxin.tenant.domain.events.EmployeeUpdatedEvent;
import com.bcxin.tenant.domain.v5.dispatches.DataDispatcher;
import com.bcxin.tenant.domain.v5.services.TUserService;
import com.bcxin.tenant.domain.v5.services.commands.UpdateUserCommand;
import org.springframework.stereotype.Component;

@Component
public class V5EmployeeUpdateEventHandler extends DomainEventHandlerAbstract<EmployeeUpdatedEvent> {
    private final TUserService userService;

    public V5EmployeeUpdateEventHandler(TUserService userService) {
        this.userService = userService;
    }

    @Override
    protected void execute(EmployeeUpdatedEvent event) {
        this.userService.dispatch(UpdateUserCommand.create(event.getData()));
    }
}
