package com.bcxin.tenant.domain.v5.eventHandlers;

import com.bcxin.Infrastructures.events.handlers.DomainEventHandlerAbstract;
import com.bcxin.tenant.domain.events.OrganizationUpdatedEvent;
import com.bcxin.tenant.domain.v5.services.TDomainService;
import com.bcxin.tenant.domain.v5.services.commands.SyncDomainCommand;
import org.springframework.stereotype.Component;


@Component
public class V5OrganizationUpdatedEventHandler extends DomainEventHandlerAbstract<OrganizationUpdatedEvent> {
    private final TDomainService domainService;

    public V5OrganizationUpdatedEventHandler(TDomainService domainService) {
        this.domainService = domainService;
    }

    @Override
    protected void execute(OrganizationUpdatedEvent event) {
        String id = event.getData().getId();
        String name = event.getData().getName();

        this.domainService.update(SyncDomainCommand.create(id, name, null));
    }
}
